// Polyfill crypto() in the Node.js environment
if (!global.crypto) {
    function getCryptoImpl() {
        return require("node:crypto").webcrypto;
    }
    Object.defineProperty(global, "crypto", {
        get () {
            return getCryptoImpl();
        }
    });
}

//# sourceMappingURL=node-polyfill-crypto.js.map